how to install a newer version of mpd (and not break anything)

Need help with MPD?
Post Reply
three_jeeps
Posts: 6
Joined: February 8th, 2019, 4:52 am

how to install a newer version of mpd (and not break anything)

Post by three_jeeps » February 8th, 2019, 5:15 am

I am running ubuntu server 16.04 LTS. I installed mpd using the aptitude package manager. After I installed it, I found it is ver 0.19. The current version is v 0.21 and I'd like to install it because of the bug fixes it has.

I'd really not want to dnld it and compile it, etc. (idk how to check for dependencies and IDK what other things it may break)

Can anyone advise me on the safest/best way to install the new version?
Thanks
J

max
Forum team
Posts: 938
Joined: January 15th, 2013, 3:43 pm

Re: how to install a newer version of mpd (and not break anything)

Post by max » February 8th, 2019, 5:29 am

If you really want to stay with Ubuntu, the "disco" version has MPD 0.21.4. So either upgrade to "disco", or do a backport, or compile from source.

three_jeeps
Posts: 6
Joined: February 8th, 2019, 4:52 am

Re: how to install a newer version of mpd (and not break anything)

Post by three_jeeps » February 8th, 2019, 5:38 am

Ummm, I need to stay with the current version of ubuntu.
Is there a doc you could point me to that explains how to compile from source and subsequently install it?
Among other things, I am concerned about dependencies with existing packages in my version of ubuntu.

Alternatively, how do I do a backport?
Thanks
j


Post Reply